## abpoa 1.4.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.2)
project(abpoa LANGUAGES C VERSION 3.0.0)

include(GNUInstallDirs)
find_package(ZLIB REQUIRED)

set(CMAKE_ARCHIVE_OUTPUT_DIRECTORY ${PROJECT_BINARY_DIR}/lib)
set(CMAKE_LIBRARY_OUTPUT_DIRECTORY ${PROJECT_BINARY_DIR}/lib)
set(CMAKE_RUNTIME_OUTPUT_DIRECTORY ${PROJECT_BINARY_DIR}/bin)

set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall")

set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -march=native") # SIMD

# build abPOA as a static library by default
set(BUILD_SHARED_LIBS OFF CACHE BOOL "Build all libraries as shared")
SET(CMAKE_INSTALL_RPATH "${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_LIBDIR}")

add_library(abpoa
    src/abpoa_align.c
    src/abpoa_graph.c
    src/abpoa_output.c
    src/abpoa_plot.c
    src/abpoa_seed.c
    src/abpoa_seq.c
    src/kalloc.c
    src/kstring.c
    src/simd_abpoa_align.c
    src/simd_check.c
    src/utils.c)

add_executable(abpoa_bin
    src/abpoa.c)

target_link_libraries(abpoa_bin abpoa z pthread m)
set_target_properties(abpoa_bin PROPERTIES OUTPUT_NAME abpoa)

target_include_directories(abpoa PUBLIC
    $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/src>
    $<INSTALL_INTERFACE:src>)


install(TARGETS abpoa DESTINATION ${CMAKE_INSTALL_LIBDIR})
install(TARGETS abpoa_bin DESTINATION ${CMAKE_INSTALL_BINDIR})
install(DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/include/ DESTINATION ${CMAKE_INSTALL_INCLUDEDIR} FILES_MATCHING PATTERN "*.h")

# configure and install pkg-config file
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/abpoa.pc.in ${CMAKE_CURRENT_BINARY_DIR}/abpoa-1.pc @ONLY)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/abpoa-1.pc DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig)

=== Makefile ===
#CC          = gcc
EXTRA_FLAGS = -Wno-unused-function -Wno-misleading-indentation -DUSE_SIMDE -DSIMDE_ENABLE_NATIVE_ALIASES
CFLAGS      = -Wall -O3 $(EXTRA_FLAGS)

SIMD_FLAG   = -march=native

ifneq ($(armv7),) # for ARMv7
	SIMD_FLAG   =  -march=armv7-a -mfpu=neon -D__AVX2__
else
ifneq ($(armv8),) # for ARMv8
ifneq ($(aarch64),) # for Aarch64 
	SIMD_FLAG   =  -march=armv8-a+simd -D__AVX2__
else # for Aarch32
	SIMD_FLAG   =  -march=armv8-a+simd -mfpu=auto -D__AVX2__
endif
endif
endif

# for debug
ifneq ($(debug),)
	DFLAGS   =   -D __DEBUG__
endif
# for gdb
ifneq ($(gdb),)
	CFLAGS   = -Wall -g ${DFLAGS} $(EXTRA_FLAGS)
else
	CFLAGS   = -Wall -O3 ${DFLAGS} $(EXTRA_FLAGS)
endif

# for gprof
ifneq ($(pg),)
	PG_FLAG  =   -pg
	CFLAGS  +=   -pg
endif

LIB     = -lm -lz -lpthread
ifneq ($(PREFIX),)
	OUT_PRE_DIR = $(PREFIX)
else
	OUT_PRE_DIR = .
endif

BIN_DIR = $(OUT_PRE_DIR)/bin
LIB_DIR = $(OUT_PRE_DIR)/lib
INC_DIR = ./include
SRC_DIR = ./src

SOURCE = $(SRC_DIR)/abpoa_align.c $(SRC_DIR)/abpoa.c $(SRC_DIR)/abpoa_graph.c $(SRC_DIR)/abpoa_plot.c $(SRC_DIR)/abpoa_seed.c $(SRC_DIR)/abpoa_seq.c $(SRC_DIR)/abpoa_output.c $(SRC_DIR)/kalloc.c $(SRC_DIR)/kstring.c  $(SRC_DIR)/simd_abpoa_align.c $(SRC_DIR)/simd_check.c $(SRC_DIR)/utils.c
HEADER = $(SRC_DIR)/abpoa_align.h $(SRC_DIR)/abpoa_graph.h $(SRC_DIR)/abpoa.h $(INC_DIR)/abpoa.h $(SRC_DIR)/abpoa_seed.h $(SRC_DIR)/abpoa_seq.h $(SRC_DIR)/abpoa_output.h $(SRC_DIR)/kalloc.h $(SRC_DIR)/kdq.h $(SRC_DIR)/khash.h $(SRC_DIR)/kseq.h $(SRC_DIR)/ksort.h $(SRC_DIR)/kstring.h $(SRC_DIR)/kvec.h $(SRC_DIR)/simd_instruction.h $(INC_DIR)/simd_instruction.h $(SRC_DIR)/simd_abpoa_align.h $(SRC_DIR)/utils.h
OBJS   = $(SRC_DIR)/abpoa_align.o $(SRC_DIR)/abpoa_graph.o $(SRC_DIR)/abpoa_plot.o $(SRC_DIR)/abpoa_seed.o $(SRC_DIR)/abpoa_seq.o $(SRC_DIR)/abpoa_output.o $(SRC_DIR)/kalloc.o $(SRC_DIR)/kstring.o $(SRC_DIR)/simd_abpoa_align.o $(SRC_DIR)/simd_check.o $(SRC_DIR)/utils.o

# SIMD label
SIMD_CHECK_D = -D __CHECK_SIMD_MAIN__

FLAG_SSE2     = -msse2
FLAG_SSE41    = -msse4.1
FLAG_AVX2     = -mavx2
# FLAG_AVX512F  = -mavx512f
# FLAG_AVX512BW = -mavx512bw

ifneq ($(sse2),)
	SIMD_FLAG=$(FLAG_SSE2)
	py_SIMD_FLAG = SSE2=1
else ifneq ($(sse41),)
	SIMD_FLAG=$(FLAG_SSE41)
	py_SIMD_FLAG = SSE41=1
else ifneq ($(avx2),)
	SIMD_FLAG=$(FLAG_AVX2)
	py_SIMD_FLAG = AVX2=1
#else ifneq ($(avx512f),)
#	SIMD_FLAG=$(FLAG_AVX512F)
#	py_SIMD_FLAG = AVX512f=1
#else ifneq ($(avx512bw),)
#	SIMD_FLAG=$(FLAG_AVX512BW)
#	py_SIMD_FLAG = AVX512BW=1
endif

.c.o:
		$(CC) -c $(CFLAGS) $< -I$(INC_DIR) -o $@

BIN      = $(BIN_DIR)/abpoa
ifneq ($(gdb),)
	BIN  = $(BIN_DIR)/gdb_abpoa
endif
ABPOALIB = $(LIB_DIR)/libabpoa.a
# TODO add example
EXAMPLE  = example


all:       $(BIN) 
abpoa:     $(BIN)
libabpoa:  $(ABPOALIB)
example:   $(EXAMPLE)

$(BIN):$(SRC_DIR)/abpoa.o $(ABPOALIB)
	if [ ! -d $(BIN_DIR) ]; then mkdir $(BIN_DIR); fi
	$(CC) $(CFLAGS) $< -I$(INC_DIR) -L$(LIB_DIR) -labpoa $(LIB) -o $@ $(PG_FLAG)

$(EXAMPLE):example.c $(ABPOALIB)
	$(CC) $(CFLAGS) $< -o $@ -I$(INC_DIR) -L$(LIB_DIR) -labpoa $(LIB)

$(ABPOALIB):$(OBJS)
	if [ ! -d $(LIB_DIR) ]; then mkdir $(LIB_DIR); fi
	$(AR) -csr $@ $(OBJS)

$(SRC_DIR)/abpoa.o:$(SRC_DIR)/abpoa.c $(SRC_DIR)/abpoa.h $(SRC_DIR)/abpoa_graph.h $(SRC_DIR)/abpoa_align.h \
                   $(SRC_DIR)/abpoa_seq.h $(SRC_DIR)/utils.h $(SRC_DIR)/simd_instruction.h
	$(CC) -c $(CFLAGS) $(SIMD_FLAG) -I$(INC_DIR) $< -o $@

$(SRC_DIR)/simd_check.o:$(SRC_DIR)/simd_check.c $(SRC_DIR)/simd_instruction.h
	$(CC) -c $(CFLAGS) $(SIMD_FLAG) -I$(INC_DIR) $< -o $@

$(SRC_DIR)/simd_abpoa_align.o:$(SRC_DIR)/simd_abpoa_align.c $(SRC_DIR)/abpoa_graph.h $(SRC_DIR)/abpoa_align.h $(SRC_DIR)/simd_instruction.h $(SRC_DIR)/utils.h
	$(CC) -c $(CFLAGS) $(SIMD_FLAG) -I$(INC_DIR) $< -o $@

install_py: python/cabpoa.pxd python/pyabpoa.pyx python/README.md
	${py_SIMD_FLAG} python setup.py install
	
sdist: install_py
	${py_SIMD_FLAG} python setup.py sdist #bdist_wheel

publish_pypi: clean_py sdist
	twine upload dist/*

clean:
	rm -f $(SRC_DIR)/*.[oa] $(LIB_DIR)/*.[oa] $(BIN)
clean_py:
	rm -rf build/ dist/ pyabpoa.egg-info/ python/pyabpoa.c

=== debian/changelog ===
abpoa (1.4.1-3) unstable; urgency=medium

  * d/t/run-unit-test: do not run if a simd specific file is missing.
  * d/t/run-unit-test: compare deterministic results to reference data.
  * d/rules: move preprocessor flags definition to CPPFLAGS.
  * d/rules: SIMDe: enable native aliases in CPPFLAGS. (Closes: #1016207)

 -- Étienne Mollier <emollier@debian.org>  Wed, 03 Aug 2022 13:15:25 +0200

abpoa (1.4.1-2) unstable; urgency=medium

  * Source-only upload.
  * d/t/run-unit-test: fix dispatch to enable test of generic executable.
  * typos.patch: forwarded upstream.

 -- Étienne Mollier <emollier@debian.org>  Sat, 23 Jul 2022 21:23:15 +0200

abpoa (1.4.1-1) unstable; urgency=medium

  * Initial release. (Closes: #1014647)

 -- Étienne Mollier <emollier@debian.org>  Sat, 09 Jul 2022 19:26:20 +0200

=== debian/control ===
Source: abpoa
Section: science
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Étienne Mollier <emollier@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               cython3,
               graphviz <!nocheck>,
               libsimde-dev,
               python3-all-dev,
               zlib1g-dev
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/med-team/abpoa
Vcs-Git: https://salsa.debian.org/med-team/abpoa.git
Homepage: https://github.com/yangao07/abPOA
Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no

Package: abpoa
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
         graphviz
Built-Using: ${simde:Built-Using}
Description: adaptive banded Partial Order Alignment
 abPOA is an extended version of Partial Order Alignment (POA) that performs
 adaptive banded dynamic programming (DP) with an SIMD implementation. abPOA
 can perform multiple sequence alignment (MSA) on a set of input sequences and
 generate a consensus sequence by applying the heaviest bundling algorithm to
 the final alignment graph.
 .
 abPOA can generate high-quality consensus sequences from error-prone long
 reads and offer significant speed improvement over existing tools.
 .
 abPOA supports three alignment modes (global, local, extension) and flexible
 scoring schemes that allow linear, affine and convex gap penalties. It right
 now supports SSE2/SSE4.1/AVX2 vectorization.
 .
 For more information please refer to the paper[1] published in Bioinformatics.
 .
 [1]: https://dx.doi.org/10.1093/bioinformatics/btaa963

Package: python3-pyabpoa
Architecture: any
Section: python
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}
Description: adaptive banded Partial Order Alignment - python3 module
 abPOA is an extended version of Partial Order Alignment (POA) that performs
 adaptive banded dynamic programming (DP) with an SIMD implementation. abPOA
 can perform multiple sequence alignment (MSA) on a set of input sequences and
 generate a consensus sequence by applying the heaviest bundling algorithm to
 the final alignment graph.
 .
 abPOA can generate high-quality consensus sequences from error-prone long
 reads and offer significant speed improvement over existing tools.
 .
 abPOA supports three alignment modes (global, local, extension) and flexible
 scoring schemes that allow linear, affine and convex gap penalties. It right
 now supports SSE2/SSE4.1/AVX2 vectorization.
 .
 This package provides the python3 module of abPOA.

=== debian/rules ===
#!/usr/bin/make -f
# DH_VERBOSE := 1
export LC_ALL=C.UTF-8

include /usr/share/dpkg/default.mk
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CPPFLAGS_MAINT_APPEND += -DSIMDE_ENABLE_OPENMP
export DEB_CPPFLAGS_MAINT_APPEND += -DSIMDE_ENABLE_NATIVE_ALIASES
export DEB_CFLAGS_MAINT_APPEND += -fopenmp-simd -O3
export DEB_CXXFLAGS_MAINT_APPEND += -fopenmp-simd -O3
export PYBUILD_NAME=pyabpoa

%:
	dh $@ --with=python3 --buildsystem=pybuild

execute_after_dh_auto_build:
ifeq ($(DEB_HOST_ARCH),amd64)
	set -e \
	; for SIMDE in avx2 avx sse4.1 ssse3 sse3 \
	; do	CFLAGS="$(CFLAGS) -m$${SIMDE}" \
		CXXFLAGS="$(CXXFLAGS) -m$${SIMDE}" \
		dh_auto_build --buildsystem=makefile -- all \
	; 	mv -v bin/abpoa bin/abpoa.$${SIMDE} \
	; 	dh_auto_clean --buildsystem=makefile -- clean \
	; done
endif
	dh_auto_build --buildsystem=makefile -- all
	mv -v bin/abpoa bin/abpoa.generic
	cp debian/abpoa-dispatch.sh bin/abpoa

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	# Tests from the README.md document
	./bin/abpoa ./test_data/seq.fa > cons.fa
	./bin/abpoa ./test_data/heter.fa > 2cons.fa
	./bin/abpoa -r1 ./test_data/seq.fa > out.msa
	./bin/abpoa -r2 ./test_data/seq.fa > out_cons.msa
	./bin/abpoa -r3 ./test_data/seq.fa > out.gfa
	./bin/abpoa -r4 ./test_data/seq.fa > out4.gfa
	cp out.gfa in.gfa
	cp out.msa in.msa
	./bin/abpoa -i in.gfa ./test_data/seq.fa -r3 > out.gfa
	./bin/abpoa -i in.msa ./test_data/seq.fa -r1 > out.msa
	./bin/abpoa ./test_data/seq.fa -g poa.png > cons.fa
	./bin/abpoa ./test_data/heter.fa -d2
endif

override_dh_gencontrol:
	dh_gencontrol -- \
		-Vsimde:Built-Using="$(shell dpkg-query -f '$${source:Package} (= $${source:Version}), ' -W "libsimde-dev")"

## abpoa 1.5.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -29,10 +29,12 @@
     src/simd_check.c
     src/utils.c)
 
+target_link_libraries(abpoa z pthread m)
+
 add_executable(abpoa_bin
     src/abpoa.c)
 
-target_link_libraries(abpoa_bin abpoa z pthread m)
+target_link_libraries(abpoa_bin abpoa)
 set_target_properties(abpoa_bin PROPERTIES OUTPUT_NAME abpoa)
 
 target_include_directories(abpoa PUBLIC
@@ -45,5 +47,9 @@
 install(DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/include/ DESTINATION ${CMAKE_INSTALL_INCLUDEDIR} FILES_MATCHING PATTERN "*.h")
 
 # configure and install pkg-config file
+if(NOT BUILD_SHARED_LIBS)
+    set(abPOA_ADDITIONAL_LINK_LIBRARIES "-lz -lpthread -lm")
+endif()
+
 configure_file(${CMAKE_CURRENT_SOURCE_DIR}/abpoa.pc.in ${CMAKE_CURRENT_BINARY_DIR}/abpoa-1.pc @ONLY)
 install(FILES ${CMAKE_CURRENT_BINARY_DIR}/abpoa-1.pc DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig)

=== Makefile ===
--- 
+++ 
@@ -1,20 +1,11 @@
+.PHONY: default
+default: abpoa
+
 #CC          = gcc
+OS          := $(shell uname)
+ARCH        := $(shell arch)
 EXTRA_FLAGS = -Wno-unused-function -Wno-misleading-indentation -DUSE_SIMDE -DSIMDE_ENABLE_NATIVE_ALIASES
 CFLAGS      = -Wall -O3 $(EXTRA_FLAGS)
-
-SIMD_FLAG   = -march=native
-
-ifneq ($(armv7),) # for ARMv7
-	SIMD_FLAG   =  -march=armv7-a -mfpu=neon -D__AVX2__
-else
-ifneq ($(armv8),) # for ARMv8
-ifneq ($(aarch64),) # for Aarch64 
-	SIMD_FLAG   =  -march=armv8-a+simd -D__AVX2__
-else # for Aarch32
-	SIMD_FLAG   =  -march=armv8-a+simd -mfpu=auto -D__AVX2__
-endif
-endif
-endif
 
 # for debug
 ifneq ($(debug),)
@@ -45,13 +36,36 @@
 INC_DIR = ./include
 SRC_DIR = ./src
 
-SOURCE = $(SRC_DIR)/abpoa_align.c $(SRC_DIR)/abpoa.c $(SRC_DIR)/abpoa_graph.c $(SRC_DIR)/abpoa_plot.c $(SRC_DIR)/abpoa_seed.c $(SRC_DIR)/abpoa_seq.c $(SRC_DIR)/abpoa_output.c $(SRC_DIR)/kalloc.c $(SRC_DIR)/kstring.c  $(SRC_DIR)/simd_abpoa_align.c $(SRC_DIR)/simd_check.c $(SRC_DIR)/utils.c
-HEADER = $(SRC_DIR)/abpoa_align.h $(SRC_DIR)/abpoa_graph.h $(SRC_DIR)/abpoa.h $(INC_DIR)/abpoa.h $(SRC_DIR)/abpoa_seed.h $(SRC_DIR)/abpoa_seq.h $(SRC_DIR)/abpoa_output.h $(SRC_DIR)/kalloc.h $(SRC_DIR)/kdq.h $(SRC_DIR)/khash.h $(SRC_DIR)/kseq.h $(SRC_DIR)/ksort.h $(SRC_DIR)/kstring.h $(SRC_DIR)/kvec.h $(SRC_DIR)/simd_instruction.h $(INC_DIR)/simd_instruction.h $(SRC_DIR)/simd_abpoa_align.h $(SRC_DIR)/utils.h
-OBJS   = $(SRC_DIR)/abpoa_align.o $(SRC_DIR)/abpoa_graph.o $(SRC_DIR)/abpoa_plot.o $(SRC_DIR)/abpoa_seed.o $(SRC_DIR)/abpoa_seq.o $(SRC_DIR)/abpoa_output.o $(SRC_DIR)/kalloc.o $(SRC_DIR)/kstring.o $(SRC_DIR)/simd_abpoa_align.o $(SRC_DIR)/simd_check.o $(SRC_DIR)/utils.o
+# This is everything that gets bundled into our main library
+OBJS = $(addprefix $(SRC_DIR)/, abpoa_align.o abpoa_graph.o abpoa_plot.o abpoa_seed.o abpoa_seq.o abpoa_output.o kalloc.o kstring.o simd_abpoa_align.o simd_check.o utils.o)
 
-# SIMD label
-SIMD_CHECK_D = -D __CHECK_SIMD_MAIN__
+# Set default SIMD flags
+SIMD_FLAG   = -march=native
 
+# auto-detect some appropriate defaults -- this helps users in the common case of macOS with arm
+ifeq ($(ARCH), $(filter $(ARCH), aarch64 arm64))
+ifeq ($(OS), Darwin)
+	# issues/44 suggests this doesn't work for some users
+	SIMD_FLAG = -march=armv8-a+simd -D__AVX2__
+else
+	SIMD_FLAG = -march=armv8-a+simd -D__AVX2__
+endif
+endif
+
+# override if user specified
+ifneq ($(armv7),) # for ARMv7
+	SIMD_FLAG   =  -march=armv7-a -mfpu=neon -D__AVX2__
+else
+ifneq ($(armv8),) # for ARMv8
+ifneq ($(aarch64),) # for Aarch64
+	SIMD_FLAG   =  -march=armv8-a+simd -D__AVX2__
+else # for Aarch32
+	SIMD_FLAG   =  -march=armv8-a+simd -mfpu=auto -D__AVX2__
+endif
+endif
+endif
+
+# some more possible overrides
 FLAG_SSE2     = -msse2
 FLAG_SSE41    = -msse4.1
 FLAG_AVX2     = -mavx2
@@ -75,8 +89,13 @@
 #	py_SIMD_FLAG = AVX512BW=1
 endif
 
-.c.o:
-		$(CC) -c $(CFLAGS) $< -I$(INC_DIR) -o $@
+# SIMD check -- unused
+SIMD_CHECK_D = -D __CHECK_SIMD_MAIN__
+
+
+
+$(SRC_DIR)/%.o: $(SRC_DIR)/%.c
+		$(CC) -c $(CFLAGS) $^ -I$(INC_DIR) -o $@
 
 BIN      = $(BIN_DIR)/abpoa
 ifneq ($(gdb),)
@@ -113,10 +132,10 @@
 $(SRC_DIR)/simd_abpoa_align.o:$(SRC_DIR)/simd_abpoa_align.c $(SRC_DIR)/abpoa_graph.h $(SRC_DIR)/abpoa_align.h $(SRC_DIR)/simd_instruction.h $(SRC_DIR)/utils.h
 	$(CC) -c $(CFLAGS) $(SIMD_FLAG) -I$(INC_DIR) $< -o $@
 
-install_py: python/cabpoa.pxd python/pyabpoa.pyx python/README.md
+install_py: setup.py python/cabpoa.pxd python/pyabpoa.pyx python/README.md
 	${py_SIMD_FLAG} python setup.py install
 	
-sdist: install_py
+sdist: setup.py python/cabpoa.pxd python/pyabpoa.pyx python/README.md
 	${py_SIMD_FLAG} python setup.py sdist #bdist_wheel
 
 publish_pypi: clean_py sdist
@@ -125,4 +144,4 @@
 clean:
 	rm -f $(SRC_DIR)/*.[oa] $(LIB_DIR)/*.[oa] $(BIN)
 clean_py:
-	rm -rf build/ dist/ pyabpoa.egg-info/ python/pyabpoa.c
+	rm -rf build/ dist/ pyabpoa.egg-info/ python/pyabpoa.c pyabpoa.cpython-*.so

=== debian/changelog ===
abpoa (1.5.1-1build1) noble; urgency=medium

  * No-change rebuild with Python 3.12 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 10 Apr 2024 18:35:08 +0000

abpoa (1.5.1-1) unstable; urgency=medium

  * New upstream version

 -- Étienne Mollier <emollier@debian.org>  Fri, 19 Jan 2024 18:33:09 +0100

abpoa (1.5.0-1) unstable; urgency=medium

  * New upstream version 1.5.0
  * baseline.patch: refresh.
  * buildflags.patch: refresh.
  * d/t/run-unit-test: repair broken logic.
    This restores tests for all possible SIMDe binaries variants.

 -- Étienne Mollier <emollier@debian.org>  Sat, 13 Jan 2024 13:36:50 +0100

abpoa (1.4.3-1) unstable; urgency=medium

  * New upstream version 1.4.3
  * baseline.patch: refresh.

 -- Étienne Mollier <emollier@debian.org>  Tue, 19 Dec 2023 14:54:04 +0100

abpoa (1.4.2-1) unstable; urgency=medium

  * New upstream version 1.4.2
  * typos.patch: delete: applied upstream.
  * baseline.patch: refresh.
  * no_install_depends_cython.patch: delete: applied upstream.

 -- Étienne Mollier <emollier@debian.org>  Fri, 15 Dec 2023 11:10:45 +0100

abpoa (1.4.1-6) unstable; urgency=medium

  * Team upload.
  * No runtime dependency from cython
    Closes: #1057980

 -- Andreas Tille <tille@debian.org>  Mon, 11 Dec 2023 10:14:06 +0100

abpoa (1.4.1-5) unstable; urgency=medium

  * Migrate abpoa from experimental to unstable, since dumat didn't croak on
    the files move from bin to usr/bin in the past week.

 -- Étienne Mollier <emollier@debian.org>  Sat, 02 Dec 2023 11:31:52 +0100

abpoa (1.4.1-5~0exp0) experimental; urgency=medium

  * d/install: move files from bin to usr/bin.
    The CTTE moratorium has been lifted.  This can be migrated to unstable
    about three days later.

 -- Étienne Mollier <emollier@debian.org>  Thu, 23 Nov 2023 14:41:26 +0100

abpoa (1.4.1-4) unstable; urgency=medium

  [ Andreas Tille ]
  * Bibtex syntax for authors

  [ Étienne Mollier ]
  * d/install: flag a (blocked) install bug.
    abpoa has been accidentally installed below /bin instead of /usr/bin,
    however fixing that would go against CTTE moratorium, so just flag it
    with a big warning before someone else is tempted to fix it.
  * d/control: split python dependency for crossbuild.
    However this is not sufficient to implement fully cross compilation
    proper, as the cython3 build dependency would need to be installed as
    the native architecture to execute properly outside qemu binfmt
    context.
    Thanks to Helmut Grohne
  * d/clean: remove build artifacts not cleaned upstream.
    (Closes: #1043693, #1049682)
  * d/control: declare compliance to standards version 4.6.2.

 -- Étienne Mollier <emollier@debian.org>  Thu, 17 Aug 2023 23:18:44 +0200

=== debian/control ===
--- 
+++ 
@@ -8,9 +8,10 @@
                cython3,
                graphviz <!nocheck>,
                libsimde-dev,
-               python3-all-dev,
+               libpython3-all-dev,
+               python3-all-dev:any,
                zlib1g-dev
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/med-team/abpoa
 Vcs-Git: https://salsa.debian.org/med-team/abpoa.git
 Homepage: https://github.com/yangao07/abPOA

## abpoa 1.5.2

=== debian/changelog ===
abpoa (1.5.2-1) unstable; urgency=medium

  * New upstream version 1.5.2
  * d/control: declare compliance to standards version 4.7.0.
  * buildflags.patch: refresh.
  * baseline.patch: unfuzz.
  * d/control: the build depends on python3-wheel.
  * d/t/run-unit-test: also run basic --help sorts of tests.
  * relax-cython-dep.patch: new: allow depending on cython3.
  * d/m/abpoa.1: update the manual page.
  * d/rules: check manual page version consistency.
    This ensures abpoa manual page refresh is not forgotten on newer
    upstream versions; it might be better to fully automate its
    construction though.

 -- Étienne Mollier <emollier@debian.org>  Sat, 20 Jul 2024 12:26:29 +0200

=== debian/control ===
--- 
+++ 
@@ -10,8 +10,9 @@
                libsimde-dev,
                libpython3-all-dev,
                python3-all-dev:any,
+               python3-wheel,
                zlib1g-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/med-team/abpoa
 Vcs-Git: https://salsa.debian.org/med-team/abpoa.git
 Homepage: https://github.com/yangao07/abPOA

## abpoa 1.5.3

=== Makefile ===
--- 
+++ 
@@ -4,19 +4,26 @@
 #CC          = gcc
 OS          := $(shell uname)
 ARCH        := $(shell arch)
-EXTRA_FLAGS = -Wno-unused-function -Wno-misleading-indentation -DUSE_SIMDE -DSIMDE_ENABLE_NATIVE_ALIASES
-CFLAGS      = -Wall -O3 $(EXTRA_FLAGS)
+# add -fno-tree-vectorize to avoid certain vectorization errors in O3 optimization
+# right now, we are using -O3 for the best performance, and no vectorization errors were found
+EXTRA_FLAGS = -Wall -Wno-unused-function -Wno-misleading-indentation -DUSE_SIMDE -DSIMDE_ENABLE_NATIVE_ALIASES# -fno-tree-vectorize
 
 # for debug
 ifneq ($(debug),)
-	DFLAGS   =   -D __DEBUG__
+	EXTRA_FLAGS  += -D __DEBUG__
 endif
+ifneq ($(sdebug),)
+	EXTRA_FLAGS  += -D __SIMD_DEBUG__
+endif
+
 # for gdb
 ifneq ($(gdb),)
-	CFLAGS   = -Wall -g ${DFLAGS} $(EXTRA_FLAGS)
+	OPT_FLAGS = -g
 else
-	CFLAGS   = -Wall -O3 ${DFLAGS} $(EXTRA_FLAGS)
+	OPT_FLAGS = -O3
 endif
+
+CFLAGS        = $(OPT_FLAGS) $(EXTRA_FLAGS)
 
 # for gprof
 ifneq ($(pg),)

=== debian/changelog ===
abpoa (1.5.3-1build3) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 20 Oct 2025 13:52:15 +0000

abpoa (1.5.3-1build2) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 04 Mar 2025 16:42:27 +0000

abpoa (1.5.3-1build1) plucky; urgency=medium

  * No-change rebuild to add support for Python 3.13.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 14 Nov 2024 19:34:14 +0100

abpoa (1.5.3-1) unstable; urgency=medium

  * New upstream version 1.5.3
  * relax-cython-dep.patch: unfuzz.
  * d/m/abpoa.1: bumped date and version.
    Otherwise no changes needed.

 -- Étienne Mollier <emollier@debian.org>  Wed, 25 Sep 2024 20:52:28 +0200

abpoa (1.5.2-2) unstable; urgency=medium

  * buildflags.patch: fix preservation of CFLAGS.
  * d/control: setup.py depends on python3-setuptools. (Closes: #1080531)

 -- Étienne Mollier <emollier@debian.org>  Thu, 05 Sep 2024 21:08:54 +0200

=== debian/control ===
--- 
+++ 
@@ -10,6 +10,7 @@
                libsimde-dev,
                libpython3-all-dev,
                python3-all-dev:any,
+               python3-setuptools,
                python3-wheel,
                zlib1g-dev
 Standards-Version: 4.7.0

=== debian/rules ===
--- 
+++ 
@@ -12,6 +12,14 @@
 
 %:
 	dh $@ --with=python3 --buildsystem=pybuild
+
+execute_before_dh_testdir:
+ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
+	# Guard against outdated maintainer manual page.
+	# Hint: help2man does mostly the right thing except for stderr
+	# capture, multiple commands support, and commands description.
+	grep -q $(DEB_VERSION_UPSTREAM) debian/manuals/abpoa.1
+endif
 
 execute_after_dh_auto_build:
 ifeq ($(DEB_HOST_ARCH),amd64)

## abpoa 1.5.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -25,8 +25,8 @@
     src/abpoa_seq.c
     src/kalloc.c
     src/kstring.c
-    src/simd_abpoa_align.c
-    src/simd_check.c
+    src/abpoa_simd.c
+    src/abpoa_align_simd.c
     src/utils.c)
 
 target_link_libraries(abpoa z pthread m)

=== Makefile ===
.PHONY: default
default: abpoa

#CC          = gcc
OS          := $(shell uname)
ARCH        := $(shell uname -m)
# add -fno-tree-vectorize to avoid certain vectorization errors in O3 optimization
# right now, we are using -O3 for the best performance, and no vectorization errors were found
EXTRA_FLAGS = -Wall -Wno-unused-function -Wno-misleading-indentation# -fno-tree-vectorize

# SIMDE
EXTRA_FLAGS += -DUSE_SIMDE -DSIMDE_ENABLE_NATIVE_ALIASES

# for debug
ifneq ($(debug),)
	EXTRA_FLAGS  += -D __DEBUG__
endif
ifneq ($(sdebug),)
	EXTRA_FLAGS  += -D __SIMD_DEBUG__
endif

# for gdb
ifneq ($(gdb),)
	OPT_FLAGS = -g
else
	OPT_FLAGS = -O3
endif

CFLAGS        = $(OPT_FLAGS) $(EXTRA_FLAGS)

# for gprof
ifneq ($(pg),)
	PG_FLAG  =   -pg
	CFLAGS  +=   -pg
endif

LIB     = -lm -lz -lpthread
ifneq ($(PREFIX),)
	OUT_PRE_DIR = $(PREFIX)
else
	OUT_PRE_DIR = .
endif

BIN_DIR = $(OUT_PRE_DIR)/bin
LIB_DIR = $(OUT_PRE_DIR)/lib
INC_DIR = ./include
SRC_DIR = ./src

# This is everything that gets bundled into our main library
BASIC_OBJS = $(addprefix $(SRC_DIR)/, abpoa_align.o abpoa_graph.o abpoa_plot.o abpoa_seed.o abpoa_seq.o abpoa_output.o abpoa_simd.o kalloc.o kstring.o utils.o)

# Set default SIMD flags
SIMD_FLAG   = -march=native

OBJS = ${BASIC_OBJS} $(addprefix $(SRC_DIR)/, abpoa_align_simd.o)

# auto-detect some appropriate defaults -- this helps users in the common case of macOS with arm
# use ABPOA_DISPATCH_SIMD for x86_64
ifeq ($(ARCH), $(filter $(ARCH), x86_64 amd64))
	# SIMD_FLAG = -march=native
	OBJS = ${BASIC_OBJS} $(addprefix $(SRC_DIR)/, abpoa_align_simd_sse2.o abpoa_align_simd_sse41.o abpoa_align_simd_avx2.o abpoa_align_simd_avx512bw.o \
	                      abpoa_dispatch_simd_sse2.o abpoa_dispatch_simd_sse41.o abpoa_dispatch_simd_avx2.o abpoa_dispatch_simd_avx512bw.o)
endif

ifeq ($(ARCH), $(filter $(ARCH), aarch64 arm64))
ifeq ($(OS), Darwin)
	SIMD_FLAG = -mcpu=apple-m1 -D__AVX2__
	OBJS = ${BASIC_OBJS} $(addprefix $(SRC_DIR)/, abpoa_align_simd.o)
else
	SIMD_FLAG = -march=armv8-a+simd -D__AVX2__
	OBJS = ${BASIC_OBJS} $(addprefix $(SRC_DIR)/, abpoa_align_simd.o)
endif
endif

# override if user specified
ifneq ($(armv7),) # for ARMv7
	SIMD_FLAG   =  -march=armv7-a -mfpu=neon -D__AVX2__
	OBJS = ${BASIC_OBJS} $(addprefix $(SRC_DIR)/, abpoa_align_simd.o)
else
ifneq ($(armv8),) # for ARMv8
ifneq ($(aarch64),) # for Aarch64
	SIMD_FLAG   =  -march=armv8-a+simd -D__AVX2__
	OBJS = ${BASIC_OBJS} $(addprefix $(SRC_DIR)/, abpoa_align_simd.o)
else # for Aarch32
	SIMD_FLAG   =  -march=armv8-a+simd -mfpu=auto -D__AVX2__
	OBJS = ${BASIC_OBJS} $(addprefix $(SRC_DIR)/, abpoa_align_simd.o)
endif
endif
endif

# some more possible overrides
FLAG_SSE2     = -msse2
FLAG_SSE41    = -msse4.1
FLAG_AVX2     = -mavx2
FLAG_AVX512BW = -mavx512bw


$(SRC_DIR)/%.o: $(SRC_DIR)/%.c
		$(CC) -c $(CFLAGS) $^ -I$(INC_DIR) -o $@

BIN      = $(BIN_DIR)/abpoa
ifneq ($(gdb),)
	BIN  = $(BIN_DIR)/gdb_abpoa
endif
ABPOALIB = $(LIB_DIR)/libabpoa.a

ifneq ($(sse2),)
	SIMD_FLAG=$(FLAG_SSE2)
	BIN = $(BIN_DIR)/abpoa_sse2
	OBJS = ${BASIC_OBJS} $(addprefix $(SRC_DIR)/, abpoa_align_simd.o)
	ifneq ($(gdb),)
		BIN = $(BIN_DIR)/gdb_abpoa_sse2
	endif
	ABPOALIB = $(LIB_DIR)/libabpoa_sse2.a
	py_SIMD_FLAG = SSE2=1
else ifneq ($(sse41),)
	SIMD_FLAG=$(FLAG_SSE41)
	BIN = $(BIN_DIR)/abpoa_sse41
	OBJS = ${BASIC_OBJS} $(addprefix $(SRC_DIR)/, abpoa_align_simd.o)
	ifneq ($(gdb),)
		BIN = $(BIN_DIR)/gdb_abpoa_sse41
	endif
	ABPOALIB = $(LIB_DIR)/libabpoa_sse41.a
	py_SIMD_FLAG = SSE41=1
else ifneq ($(avx2),)
	SIMD_FLAG=$(FLAG_AVX2)
	py_SIMD_FLAG = AVX2=1
	BIN = $(BIN_DIR)/abpoa_avx2
	OBJS = ${BASIC_OBJS} $(addprefix $(SRC_DIR)/, abpoa_align_simd.o)
	ifneq ($(gdb),)
		BIN = $(BIN_DIR)/gdb_abpoa_avx2
	endif
	ABPOALIB = $(LIB_DIR)/libabpoa_avx2.a
else ifneq ($(avx512bw),)
	SIMD_FLAG=$(FLAG_AVX512BW)
	BIN = $(BIN_DIR)/abpoa_avx512bw
	OBJS = ${BASIC_OBJS} $(addprefix $(SRC_DIR)/, abpoa_align_simd.o)
	ifneq ($(gdb),)
		BIN = $(BIN_DIR)/gdb_abpoa_avx512bw
	endif
	ABPOALIB = $(LIB_DIR)/libabpoa_avx512bw.a
	py_SIMD_FLAG = AVX512BW=1
endif

EXAMPLE  = example


all:       $(BIN) 
abpoa:     $(BIN)
libabpoa:  $(ABPOALIB)
example:   $(EXAMPLE)

$(BIN):$(SRC_DIR)/abpoa.o $(ABPOALIB)
	if [ ! -d $(BIN_DIR) ]; then mkdir $(BIN_DIR); fi
# nm -g $(ABPOALIB)
	$(CC) $(CFLAGS) $< -I$(INC_DIR) $(ABPOALIB) $(LIB) -o $@ $(PG_FLAG)

# multiple SSE versions
multi:
	make clean all sse2=1
	make clean all sse41=1
	make clean all avx2=1
	make clean all avx512bw=1

$(EXAMPLE):example.c $(ABPOALIB)
	$(CC) $(CFLAGS) $< -o $@ -I$(INC_DIR) $(ABPOALIB) $(LIB)

$(ABPOALIB):$(OBJS)
	if [ ! -d $(LIB_DIR) ]; then mkdir $(LIB_DIR); fi
	$(AR) -csr $@ $(OBJS)

$(SRC_DIR)/abpoa.o:$(SRC_DIR)/abpoa.c $(SRC_DIR)/abpoa.h $(SRC_DIR)/abpoa_graph.h $(SRC_DIR)/abpoa_align.h \
                   $(SRC_DIR)/abpoa_seq.h $(SRC_DIR)/utils.h $(SRC_DIR)/simd_instruction.h
	$(CC) -c $(CFLAGS) -I$(INC_DIR) $< -o $@

$(SRC_DIR)/simd_check.o:$(SRC_DIR)/simd_check.c $(SRC_DIR)/simd_instruction.h
	$(CC) -c $(CFLAGS) $(SIMD_FLAG) -I$(INC_DIR) $< -o $@

$(SRC_DIR)/abpoa_align_simd.o:$(SRC_DIR)/abpoa_align_simd.c $(SRC_DIR)/abpoa_graph.h $(SRC_DIR)/abpoa_align.h $(SRC_DIR)/simd_instruction.h $(SRC_DIR)/utils.h
	$(CC) -c $(CFLAGS) $(SIMD_FLAG) -I$(INC_DIR) $< -o $@

$(SRC_DIR)/abpoa_align_simd_sse2.o:$(SRC_DIR)/abpoa_align_simd.c $(SRC_DIR)/abpoa_graph.h $(SRC_DIR)/abpoa_align.h $(SRC_DIR)/simd_instruction.h $(SRC_DIR)/utils.h
	$(CC) -c $(CFLAGS) -DABPOA_SIMD_DISPATCH -msse2 -U__SSE4_1__ -I$(INC_DIR) $< -o $@
$(SRC_DIR)/abpoa_align_simd_sse41.o:$(SRC_DIR)/abpoa_align_simd.c $(SRC_DIR)/abpoa_graph.h $(SRC_DIR)/abpoa_align.h $(SRC_DIR)/simd_instruction.h $(SRC_DIR)/utils.h
	$(CC) -c $(CFLAGS) -DABPOA_SIMD_DISPATCH -msse4.1 -I$(INC_DIR) $< -o $@
$(SRC_DIR)/abpoa_align_simd_avx2.o:$(SRC_DIR)/abpoa_align_simd.c $(SRC_DIR)/abpoa_graph.h $(SRC_DIR)/abpoa_align.h $(SRC_DIR)/simd_instruction.h $(SRC_DIR)/utils.h
	$(CC) -c $(CFLAGS) -DABPOA_SIMD_DISPATCH -mavx2 -I$(INC_DIR) $< -o $@
$(SRC_DIR)/abpoa_align_simd_avx512bw.o:$(SRC_DIR)/abpoa_align_simd.c $(SRC_DIR)/abpoa_graph.h $(SRC_DIR)/abpoa_align.h $(SRC_DIR)/simd_instruction.h $(SRC_DIR)/utils.h
	$(CC) -c $(CFLAGS) -DABPOA_SIMD_DISPATCH -mavx512bw -I$(INC_DIR) $< -o $@
$(SRC_DIR)/abpoa_dispatch_simd_sse2.o:$(SRC_DIR)/abpoa_dispatch_simd.c $(SRC_DIR)/abpoa.h
	$(CC) -c $(CFLAGS) -DABPOA_SIMD_DISPATCH -msse2 -U__SSE4_1__ -I$(INC_DIR) $< -o $@
$(SRC_DIR)/abpoa_dispatch_simd_sse41.o:$(SRC_DIR)/abpoa_dispatch_simd.c $(SRC_DIR)/abpoa.h
	$(CC) -c $(CFLAGS) -DABPOA_SIMD_DISPATCH -msse4.1 -I$(INC_DIR) $< -o $@
$(SRC_DIR)/abpoa_dispatch_simd_avx2.o:$(SRC_DIR)/abpoa_dispatch_simd.c $(SRC_DIR)/abpoa.h
	$(CC) -c $(CFLAGS) -DABPOA_SIMD_DISPATCH -mavx2 -I$(INC_DIR) $< -o $@
$(SRC_DIR)/abpoa_dispatch_simd_avx512bw.o:$(SRC_DIR)/abpoa_dispatch_simd.c $(SRC_DIR)/abpoa.h
	$(CC) -c $(CFLAGS) -DABPOA_SIMD_DISPATCH -mavx512bw -I$(INC_DIR) $< -o $@

install_py: setup.py python/cabpoa.pxd python/pyabpoa.pyx python/README.md
	${py_SIMD_FLAG} python setup.py install
	
sdist: setup.py python/cabpoa.pxd python/pyabpoa.pyx python/README.md
	${py_SIMD_FLAG} python setup.py sdist #bdist_wheel

publish_pypi: clean_py sdist
	twine upload dist/*

clean:
	rm -f $(SRC_DIR)/*.[oa] $(LIB_DIR)/*.[oa] $(BIN)
clean_py:
	rm -rf build/ dist/ pyabpoa.egg-info/ python/pyabpoa.c pyabpoa.cpython-*.so

=== debian/changelog ===
abpoa (1.5.5-1) unstable; urgency=medium

  * New upstream version 1.5.5
  * d/*: remove manual simde dispatch.
    By dropping the manual simde dispatch, we move to using upstream's
    runtime detection, overall making the package much lighter weight
    and the maintenance onwards easier by dropping a lot of now
    unnecessary complexity.
  * debian-simde.patch: refresh.
  * buildflags.patch: unfuzz.
  * baseline.patch: renew: only trim -march=native flags.
  * relax-cython-dep.patch: delete: applied upstream.
  * d/m/abpoa.1: document the new Heuristics for graph alignment.
  * d/t/run-unit-test: update reference data to match new results.
  * d/watch: convert to v5 Github template.
  * d/control: drop redundant Rules-Requires-Root: no.
  * d/control: declare compliance to standards version 4.7.2.
  * d/s/lintian-overrides: new: flag distutils imports.

 -- Étienne Mollier <emollier@debian.org>  Mon, 17 Nov 2025 21:58:26 +0100

=== debian/control ===
--- 
+++ 
@@ -13,12 +13,11 @@
                python3-setuptools,
                python3-wheel,
                zlib1g-dev
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/med-team/abpoa
 Vcs-Git: https://salsa.debian.org/med-team/abpoa.git
 Homepage: https://github.com/yangao07/abPOA
 Testsuite: autopkgtest-pkg-python
-Rules-Requires-Root: no
 
 Package: abpoa
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -22,19 +22,7 @@
 endif
 
 execute_after_dh_auto_build:
-ifeq ($(DEB_HOST_ARCH),amd64)
-	set -e \
-	; for SIMDE in avx2 avx sse4.1 ssse3 sse3 \
-	; do	CFLAGS="$(CFLAGS) -m$${SIMDE}" \
-		CXXFLAGS="$(CXXFLAGS) -m$${SIMDE}" \
-		dh_auto_build --buildsystem=makefile -- all \
-	; 	mv -v bin/abpoa bin/abpoa.$${SIMDE} \
-	; 	dh_auto_clean --buildsystem=makefile -- clean \
-	; done
-endif
 	dh_auto_build --buildsystem=makefile -- all
-	mv -v bin/abpoa bin/abpoa.generic
-	cp debian/abpoa-dispatch.sh bin/abpoa
 
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))

=== debian/watch ===
Version: 5

Template: Github
Owner: yangao07
Project: abPOA

## abpoa 1.5.6

=== Makefile ===
--- 
+++ 
@@ -197,7 +197,7 @@
 	$(CC) -c $(CFLAGS) -DABPOA_SIMD_DISPATCH -mavx512bw -I$(INC_DIR) $< -o $@
 
 install_py: setup.py python/cabpoa.pxd python/pyabpoa.pyx python/README.md
-	${py_SIMD_FLAG} python setup.py install
+	${py_SIMD_FLAG} python -m pip install .
 	
 sdist: setup.py python/cabpoa.pxd python/pyabpoa.pyx python/README.md
 	${py_SIMD_FLAG} python setup.py sdist #bdist_wheel

=== debian/changelog ===
abpoa (1.5.6-1) unstable; urgency=medium

  * New upstream version 1.5.6
  * d/control: drop redundant Priority: optional.
  * d/control: declare compliance to standards version 4.7.3.
  * baseline.patch: fix typo in description, caught by lintian.

 -- Étienne Mollier <emollier@debian.org>  Sun, 22 Feb 2026 16:34:53 +0100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: abpoa
 Section: science
-Priority: optional
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Étienne Mollier <emollier@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-python,
+               pybuild-plugin-pyproject,
                cython3,
                graphviz <!nocheck>,
                libsimde-dev,
@@ -13,7 +13,7 @@
                python3-setuptools,
                python3-wheel,
                zlib1g-dev
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/med-team/abpoa
 Vcs-Git: https://salsa.debian.org/med-team/abpoa.git
 Homepage: https://github.com/yangao07/abPOA
